<template>
  <img src="../assets/logo.png">
  <div>
    <p>
      If Element Plus is successfully added to this project, you'll see an
      <code v-text="'<el-button>'"></code>
      below
    </p>
    <el-button type="primary">el-button</el-button>
  </div>
  <HelloWorld msg="Welcome to Your Vue.js App"/>
  <h3>Element UI - View</h3>
  <el-container class="outer" id="el-container">
      <el-main>
        <el-row type="flex" justify="center" align="middle">
          <el-button>默認按鈕</el-button>
          <el-button type="primary">主要按鈕</el-button>
          <el-button type="success">成功按鈕</el-button>
          <el-button type="info">信息按鈕</el-button>
          <el-button type="warning">警告按鈕</el-button>
          <el-button type="danger">危險按鈕</el-button>
        </el-row>

        <el-row type="flex" justify="center" align="middle">
          <el-button plain>樸素按鈕</el-button>
          <el-button type="primary" plain>主要按鈕</el-button>
          <el-button type="success" plain>成功按鈕</el-button>
          <el-button type="info" plain>信息按鈕</el-button>
          <el-button type="warning" plain>警告按鈕</el-button>
          <el-button type="danger" plain>危險按鈕</el-button>
        </el-row>

        <el-row type="flex" justify="center" align="middle">
          <el-button round>圓角按鈕</el-button>
          <el-button type="primary" round>主要按鈕</el-button>
          <el-button type="success" round>成功按鈕</el-button>
          <el-button type="info" round>信息按鈕</el-button>
          <el-button type="warning" round>警告按鈕</el-button>
          <el-button type="danger" round>危險按鈕</el-button>
        </el-row>

        <el-row type="flex" justify="center" align="middle">
          <el-button icon="el-icon-search" circle></el-button>
          <el-button type="primary" icon="el-icon-edit" circle></el-button>
          <el-button type="success" icon="el-icon-check" circle></el-button>
          <el-button type="info" icon="el-icon-message" circle></el-button>
          <el-button type="warning" icon="el-icon-star-off" circle></el-button>
          <el-button type="danger" icon="el-icon-delete" circle></el-button>
        </el-row>
      </el-main>
    </el-container>
    <h3>Reference</h3>
    <a href="https://blog.csdn.net/weixin_43575040/article/details/111567249">【element】中el-row如何使内容垂直居中</a>
</template>

<script>
// @ is an alias to /src
import HelloWorld from '@/components/HelloWorld.vue'

export default {
  name: 'Home',
  components: {
    HelloWorld
  }
}
</script>

<style>
    .el-main{
        height: 100%
    }
    .el-row {
        height: 100%
    }
    .outer {
        background-color: #DCDFE6;
        height:100%;
        width:100%;
    }
</style>


